Package ru.yandex.clickhouse.settings

## Class ClickHouseProperties

- java.lang.Object
- - ru.yandex.clickhouse.settings.ClickHouseProperties

    public class ClickHouseProperties
    extends Object

### Constructor Summary

Constructors
`ClickHouseProperties()`
`ClickHouseProperties​(Properties info)`
`ClickHouseProperties​(ClickHouseProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Properties` `asProperties()`
`Map<ClickHouseQueryParam,​String>` `buildQueryParams​(boolean ignoreDatabase)`
`Boolean` `getAnyJoinDistinctRightTableKeys()`
`int` `getApacheBufferSize()`
`int` `getBufferSize()`
`String` `getClientName()`
`int` `getConnectionTimeout()`
`String` `getDatabase()`
`int` `getDataTransferTimeout()`
`int` `getDefaultMaxPerRoute()`
`Boolean` `getEnableOptimizePredicateExpression()`
`String` `getHost()`
`String` `getHttpAuthorization()`
`Boolean` `getInsertDeduplicate()`
`Boolean` `getInsertDistributedSync()`
`Long` `getInsertQuorum()`
`Long` `getInsertQuorumTimeout()`
`Long` `getMaxAstElements()`
`Integer` `getMaxBlockSize()`
`Long` `getMaxBytesBeforeExternalGroupBy()`
`Long` `getMaxBytesBeforeExternalSort()`
`int` `getMaxCompressBufferSize()`
`Integer` `getMaxExecutionTime()`
`Long` `getMaxInsertBlockSize()`
`Long` `getMaxMemoryUsage()`
`Long` `getMaxMemoryUsageForAllQueries()`
`Long` `getMaxMemoryUsageForUser()`
`Integer` `getMaxParallelReplicas()`
`Integer` `getMaxPartitionsPerInsertBlock()`
`Long` `getMaxQuerySize()`
`int` `getMaxRedirects()`
`int` `getMaxRetries()`
`Integer` `getMaxRowsToGroupBy()`
`Integer` `getMaxThreads()`
`int` `getMaxTotal()`
`String` `getPassword()`
`String` `getPath()`
`int` `getPort()`
`Long` `getPreferredBlockSizeBytes()`
`Integer` `getPriority()`
`String` `getProfile()`
`ClickHouseProtocol` `getProtocol()`
`String` `getQuotaKey()`
`Long` `getSelectSequentialConsistency()`
`Boolean` `getSendProgressInHttpHeaders()`
`String` `getSessionId()`
`Long` `getSessionTimeout()`
`int` `getSocketTimeout()`
`boolean` `getSsl()`
`String` `getSslMode()`
`String` `getSslRootCertificate()`
`int` `getTimeToLiveMillis()`
`String` `getTotalsMode()`
`String` `getUser()`
`String` `getUseTimeZone()`
`Boolean` `getWaitEndOfQuery()`
`boolean` `isAsync()`
`boolean` `isCheckForRedirects()`
`boolean` `isCompress()`
`boolean` `isDecompress()`
`boolean` `isDistributedAggregationMemoryEfficient()`
`boolean` `isExtremes()`
`boolean` `isSessionCheck()`
`boolean` `isUseObjectsInArrays()`
`boolean` `isUsePathAsDb()`
`boolean` `isUseServerTimeZone()`
`boolean` `isUseServerTimeZoneForDates()`
`boolean` `isUseSharedCookieStore()`
`ClickHouseProperties` `merge​(Properties other)`
`ClickHouseProperties` `merge​(ClickHouseProperties second)`
`void` `setAnyJoinDistinctRightTableKeys​(Boolean anyJoinDistinctRightTableKeys)`
`void` `setApacheBufferSize​(int apacheBufferSize)`
`void` `setAsync​(boolean async)`
`void` `setBufferSize​(int bufferSize)`
`void` `setCheckForRedirects​(boolean checkForRedirects)`
`void` `setClientName​(String clientName)`
`void` `setCompress​(boolean compress)`
`void` `setConnectionTimeout​(int connectionTimeout)`
`void` `setDatabase​(String database)`
`void` `setDataTransferTimeout​(int dataTransferTimeout)`
`void` `setDecompress​(boolean decompress)`
`void` `setDefaultMaxPerRoute​(int defaultMaxPerRoute)`
`void` `setDistributedAggregationMemoryEfficient​(boolean distributedAggregationMemoryEfficient)`
`void` `setEnableOptimizePredicateExpression​(Boolean enableOptimizePredicateExpression)`
`void` `setExtremes​(boolean extremes)`
`void` `setHost​(String host)`
`void` `setHttpAuthorization​(String httpAuthorization)`
`void` `setInsertDeduplicate​(Boolean insertDeduplicate)`
`void` `setInsertDistributedSync​(Boolean insertDistributedSync)`
`void` `setInsertQuorum​(Long insertQuorum)`
`void` `setInsertQuorumTimeout​(Long insertQuorumTimeout)`
`void` `setMaxAstElements​(Long maxAstElements)`
`void` `setMaxBlockSize​(Integer maxBlockSize)`
`void` `setMaxBytesBeforeExternalGroupBy​(Long maxBytesBeforeExternalGroupBy)`
`void` `setMaxBytesBeforeExternalSort​(Long maxBytesBeforeExternalSort)`
`void` `setMaxCompressBufferSize​(int maxCompressBufferSize)`
`void` `setMaxExecutionTime​(Integer maxExecutionTime)`
`void` `setMaxInsertBlockSize​(Long maxInsertBlockSize)`
`void` `setMaxMemoryUsage​(Long maxMemoryUsage)`
`void` `setMaxMemoryUsageForAllQueries​(Long maxMemoryUsageForAllQueries)`
`void` `setMaxMemoryUsageForUser​(Long maxMemoryUsageForUser)`
`void` `setMaxParallelReplicas​(Integer maxParallelReplicas)`
`void` `setMaxPartitionsPerInsertBlock​(Integer maxPartitionsPerInsertBlock)`
`void` `setMaxQuerySize​(Long maxQuerySize)`
`void` `setMaxRedirects​(int maxRedirects)`
`void` `setMaxRetries​(int maxRetries)`
`void` `setMaxRowsToGroupBy​(Integer maxRowsToGroupBy)`
`void` `setMaxThreads​(Integer maxThreads)`
`void` `setMaxTotal​(int maxTotal)`
`void` `setPassword​(String password)`
`void` `setPath​(String path)`
`void` `setPort​(int port)`
`void` `setPreferredBlockSizeBytes​(Long preferredBlockSizeBytes)`
`void` `setPriority​(Integer priority)`
`void` `setProfile​(String profile)`
`void` `setProtocol​(ClickHouseProtocol protocol)`
`void` `setQuotaKey​(String quotaKey)`
`void` `setSelectSequentialConsistency​(Long selectSequentialConsistency)`
`void` `setSendProgressInHttpHeaders​(Boolean sendProgressInHttpHeaders)`
`void` `setSessionCheck​(boolean sessionCheck)`
`void` `setSessionId​(String sessionId)`
`void` `setSessionTimeout​(Long sessionTimeout)`
`void` `setSocketTimeout​(int socketTimeout)`
`void` `setSsl​(boolean ssl)`
`void` `setSslMode​(String sslMode)`
`void` `setSslRootCertificate​(String sslRootCertificate)`
`void` `setTimeToLiveMillis​(int timeToLiveMillis)`
`void` `setTotalsMode​(String totalsMode)`
`void` `setUseObjectsInArrays​(boolean useObjectsInArrays)`
`void` `setUsePathAsDb​(boolean usePathAsDb)`
`void` `setUser​(String user)`
`void` `setUseServerTimeZone​(boolean useServerTimeZone)`
`void` `setUseServerTimeZoneForDates​(boolean useServerTimeZoneForDates)`
`void` `setUseSharedCookieStore​(boolean useSharedCookieStore)`
`void` `setUseTimeZone​(String useTimeZone)`
`void` `setWaitEndOfQuery​(Boolean waitEndOfQuery)`
`ClickHouseProperties` `withCredentials​(String user, String password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseProperties

    public ClickHouseProperties()

#### ClickHouseProperties

    public ClickHouseProperties​(Properties info)

#### ClickHouseProperties

    public ClickHouseProperties​(ClickHouseProperties properties)

### Method Detail

#### asProperties

    public Properties asProperties()

#### buildQueryParams

    public Map<ClickHouseQueryParam,​String> buildQueryParams​(boolean ignoreDatabase)

#### withCredentials

    public ClickHouseProperties withCredentials​(String user,
                                                String password)

#### getProfile

    public String getProfile()

#### setProfile

    public void setProfile​(String profile)

#### isCompress

    public boolean isCompress()

#### setCompress

    public void setCompress​(boolean compress)

#### isDecompress

    public boolean isDecompress()

#### setDecompress

    public void setDecompress​(boolean decompress)

#### isAsync

    public boolean isAsync()

#### setAsync

    public void setAsync​(boolean async)

#### getMaxThreads

    public Integer getMaxThreads()

#### setMaxThreads

    public void setMaxThreads​(Integer maxThreads)

#### getMaxBlockSize

    public Integer getMaxBlockSize()

#### setMaxBlockSize

    public void setMaxBlockSize​(Integer maxBlockSize)

#### getBufferSize

    public int getBufferSize()

#### setBufferSize

    public void setBufferSize​(int bufferSize)

#### getApacheBufferSize

    public int getApacheBufferSize()

#### setApacheBufferSize

    public void setApacheBufferSize​(int apacheBufferSize)

#### getSocketTimeout

    public int getSocketTimeout()

#### setSocketTimeout

    public void setSocketTimeout​(int socketTimeout)

#### getConnectionTimeout

    public int getConnectionTimeout()

#### setConnectionTimeout

    public void setConnectionTimeout​(int connectionTimeout)

#### getDataTransferTimeout

    public int getDataTransferTimeout()

#### setDataTransferTimeout

    public void setDataTransferTimeout​(int dataTransferTimeout)

#### getUser

    public String getUser()

#### setUser

    public void setUser​(String user)

#### getTimeToLiveMillis

    public int getTimeToLiveMillis()

#### setTimeToLiveMillis

    public void setTimeToLiveMillis​(int timeToLiveMillis)

#### getDefaultMaxPerRoute

    public int getDefaultMaxPerRoute()

#### setDefaultMaxPerRoute

    public void setDefaultMaxPerRoute​(int defaultMaxPerRoute)

#### getMaxTotal

    public int getMaxTotal()

#### setMaxTotal

    public void setMaxTotal​(int maxTotal)

#### getMaxRetries

    public int getMaxRetries()

#### setMaxRetries

    public void setMaxRetries​(int maxRetries)

#### getMaxCompressBufferSize

    public int getMaxCompressBufferSize()

#### setMaxCompressBufferSize

    public void setMaxCompressBufferSize​(int maxCompressBufferSize)

#### getSsl

    public boolean getSsl()

#### setSsl

    public void setSsl​(boolean ssl)

#### getSslRootCertificate

    public String getSslRootCertificate()

#### setSslRootCertificate

    public void setSslRootCertificate​(String sslRootCertificate)

#### getSslMode

    public String getSslMode()

#### setSslMode

    public void setSslMode​(String sslMode)

#### getMaxRedirects

    public int getMaxRedirects()

#### setMaxRedirects

    public void setMaxRedirects​(int maxRedirects)

#### isCheckForRedirects

    public boolean isCheckForRedirects()

#### setCheckForRedirects

    public void setCheckForRedirects​(boolean checkForRedirects)

#### isUseServerTimeZone

    public boolean isUseServerTimeZone()

#### setUseServerTimeZone

    public void setUseServerTimeZone​(boolean useServerTimeZone)

#### getUseTimeZone

    public String getUseTimeZone()

#### setUseTimeZone

    public void setUseTimeZone​(String useTimeZone)

#### isUseObjectsInArrays

    public boolean isUseObjectsInArrays()

#### setUseObjectsInArrays

    public void setUseObjectsInArrays​(boolean useObjectsInArrays)

#### isUseSharedCookieStore

    public boolean isUseSharedCookieStore()

#### setUseSharedCookieStore

    public void setUseSharedCookieStore​(boolean useSharedCookieStore)

#### getClientName

    public String getClientName()

#### setClientName

    public void setClientName​(String clientName)

#### isUseServerTimeZoneForDates

    public boolean isUseServerTimeZoneForDates()

#### setUseServerTimeZoneForDates

    public void setUseServerTimeZoneForDates​(boolean useServerTimeZoneForDates)

#### getMaxParallelReplicas

    public Integer getMaxParallelReplicas()

#### setMaxParallelReplicas

    public void setMaxParallelReplicas​(Integer maxParallelReplicas)

#### getMaxPartitionsPerInsertBlock

    public Integer getMaxPartitionsPerInsertBlock()

#### setMaxPartitionsPerInsertBlock

    public void setMaxPartitionsPerInsertBlock​(Integer maxPartitionsPerInsertBlock)

#### getTotalsMode

    public String getTotalsMode()

#### setTotalsMode

    public void setTotalsMode​(String totalsMode)

#### getQuotaKey

    public String getQuotaKey()

#### setQuotaKey

    public void setQuotaKey​(String quotaKey)

#### getPriority

    public Integer getPriority()

#### setPriority

    public void setPriority​(Integer priority)

#### getDatabase

    public String getDatabase()

#### setDatabase

    public void setDatabase​(String database)

#### isExtremes

    public boolean isExtremes()

#### setExtremes

    public void setExtremes​(boolean extremes)

#### getMaxExecutionTime

    public Integer getMaxExecutionTime()

#### setMaxExecutionTime

    public void setMaxExecutionTime​(Integer maxExecutionTime)

#### getMaxRowsToGroupBy

    public Integer getMaxRowsToGroupBy()

#### setMaxRowsToGroupBy

    public void setMaxRowsToGroupBy​(Integer maxRowsToGroupBy)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword​(String password)

#### getHttpAuthorization

    public String getHttpAuthorization()

#### setHttpAuthorization

    public void setHttpAuthorization​(String httpAuthorization)

#### getHost

    public String getHost()

#### setHost

    public void setHost​(String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort​(int port)

#### getProtocol

    public ClickHouseProtocol getProtocol()

#### setProtocol

    public void setProtocol​(ClickHouseProtocol protocol)

#### isUsePathAsDb

    public boolean isUsePathAsDb()

#### setUsePathAsDb

    public void setUsePathAsDb​(boolean usePathAsDb)

#### getPath

    public String getPath()

#### setPath

    public void setPath​(String path)

#### isDistributedAggregationMemoryEfficient

    public boolean isDistributedAggregationMemoryEfficient()

#### setDistributedAggregationMemoryEfficient

    public void setDistributedAggregationMemoryEfficient​(boolean distributedAggregationMemoryEfficient)

#### getMaxBytesBeforeExternalGroupBy

    public Long getMaxBytesBeforeExternalGroupBy()

#### setMaxBytesBeforeExternalGroupBy

    public void setMaxBytesBeforeExternalGroupBy​(Long maxBytesBeforeExternalGroupBy)

#### getMaxBytesBeforeExternalSort

    public Long getMaxBytesBeforeExternalSort()

#### setMaxBytesBeforeExternalSort

    public void setMaxBytesBeforeExternalSort​(Long maxBytesBeforeExternalSort)

#### getMaxMemoryUsage

    public Long getMaxMemoryUsage()

#### setMaxMemoryUsage

    public void setMaxMemoryUsage​(Long maxMemoryUsage)

#### getMaxMemoryUsageForUser

    public Long getMaxMemoryUsageForUser()

#### setMaxMemoryUsageForUser

    public void setMaxMemoryUsageForUser​(Long maxMemoryUsageForUser)

#### getMaxMemoryUsageForAllQueries

    public Long getMaxMemoryUsageForAllQueries()

#### setMaxMemoryUsageForAllQueries

    public void setMaxMemoryUsageForAllQueries​(Long maxMemoryUsageForAllQueries)

#### getPreferredBlockSizeBytes

    public Long getPreferredBlockSizeBytes()

#### setPreferredBlockSizeBytes

    public void setPreferredBlockSizeBytes​(Long preferredBlockSizeBytes)

#### getMaxQuerySize

    public Long getMaxQuerySize()

#### setMaxQuerySize

    public void setMaxQuerySize​(Long maxQuerySize)

#### setMaxAstElements

    public void setMaxAstElements​(Long maxAstElements)

#### getMaxAstElements

    public Long getMaxAstElements()

#### isSessionCheck

    public boolean isSessionCheck()

#### setSessionCheck

    public void setSessionCheck​(boolean sessionCheck)

#### getSessionId

    public String getSessionId()

#### setSessionId

    public void setSessionId​(String sessionId)

#### getSessionTimeout

    public Long getSessionTimeout()

#### setSessionTimeout

    public void setSessionTimeout​(Long sessionTimeout)

#### getInsertQuorum

    public Long getInsertQuorum()

#### setInsertQuorum

    public void setInsertQuorum​(Long insertQuorum)

#### getInsertQuorumTimeout

    public Long getInsertQuorumTimeout()

#### setInsertQuorumTimeout

    public void setInsertQuorumTimeout​(Long insertQuorumTimeout)

#### getSelectSequentialConsistency

    public Long getSelectSequentialConsistency()

#### setSelectSequentialConsistency

    public void setSelectSequentialConsistency​(Long selectSequentialConsistency)

#### getEnableOptimizePredicateExpression

    public Boolean getEnableOptimizePredicateExpression()

#### setEnableOptimizePredicateExpression

    public void setEnableOptimizePredicateExpression​(Boolean enableOptimizePredicateExpression)

#### getMaxInsertBlockSize

    public Long getMaxInsertBlockSize()

#### setMaxInsertBlockSize

    public void setMaxInsertBlockSize​(Long maxInsertBlockSize)

#### getInsertDeduplicate

    public Boolean getInsertDeduplicate()

#### setInsertDeduplicate

    public void setInsertDeduplicate​(Boolean insertDeduplicate)

#### getInsertDistributedSync

    public Boolean getInsertDistributedSync()

#### setInsertDistributedSync

    public void setInsertDistributedSync​(Boolean insertDistributedSync)

#### setAnyJoinDistinctRightTableKeys

    public void setAnyJoinDistinctRightTableKeys​(Boolean anyJoinDistinctRightTableKeys)

#### getAnyJoinDistinctRightTableKeys

    public Boolean getAnyJoinDistinctRightTableKeys()

#### getSendProgressInHttpHeaders

    public Boolean getSendProgressInHttpHeaders()

#### setSendProgressInHttpHeaders

    public void setSendProgressInHttpHeaders​(Boolean sendProgressInHttpHeaders)

#### getWaitEndOfQuery

    public Boolean getWaitEndOfQuery()

#### setWaitEndOfQuery

    public void setWaitEndOfQuery​(Boolean waitEndOfQuery)

#### merge

    public ClickHouseProperties merge​(ClickHouseProperties second)

#### merge

    public ClickHouseProperties merge​(Properties other)